- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstPinProperties Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
char | label [kVstMaxLabelLen]
| pin name
VstInt32 | flags
VstInt32 | arrangementType
char | shortLabel [kVstMaxShortLabelLen]
| short name (recommended: 6 + delimiter)
char | future [48]
| reserved for future use

## Detailed Description

Pin Properties used in effGetInputProperties and effGetOutputProperties.

## Member Data Documentation

VstInt32 VstPinProperties::arrangementType

See also:
  VstSpeakerArrangementType

VstInt32 VstPinProperties::flags

See also:
  VstPinPropertiesFlags

char VstPinProperties::future[48]

reserved for future use

char VstPinProperties::label[kVstMaxLabelLen]

pin name

char VstPinProperties::shortLabel[kVstMaxShortLabelLen]

short name (recommended: 6 + delimiter)

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.